<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.15" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="structt_d_r_b" kind="struct" language="C++" prot="public">
    <compoundname>tDRB</compoundname>
    <includes local="no">wiced_bt_types.h</includes>
      <sectiondef kind="public-attrib">
      <memberdef id="structt_d_r_b_1a03b3684a053c6fec95b16c395b528214" kind="variable" mutable="no" prot="public" static="no">
        <type>uint16_t</type>
        <definition>uint16_t tDRB::drb_data_len</definition>
        <argsstring />
        <name>drb_data_len</name>
        <briefdescription>
<para>The amount of data in the DRB. </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_types.h" bodystart="193" column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_types.h" line="193" />
      </memberdef>
      <memberdef id="structt_d_r_b_1aedefe32ab5c4e9cc53410180d276ab45" kind="variable" mutable="no" prot="public" static="no">
        <type>uint16_t</type>
        <definition>uint16_t tDRB::drb_data_offset</definition>
        <argsstring />
        <name>drb_data_offset</name>
        <briefdescription>
<para>The starting offset of the data in the DRB. </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_types.h" bodystart="194" column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_types.h" line="194" />
      </memberdef>
      <memberdef id="structt_d_r_b_1a669fac4ab39139f0e03587357530dddc" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t tDRB::drb_data[1]</definition>
        <argsstring>[1]</argsstring>
        <name>drb_data</name>
        <briefdescription>
<para>The actual received data. </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_types.h" bodystart="195" column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_types.h" line="195" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>Define a Data Received Buffer structure, which is used to pass received data back up through the stack. </para>
    </briefdescription>
    <detaileddescription>
    </detaileddescription>
    <location bodyend="196" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_types.h" bodystart="191" column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_types.h" line="192" />
    <listofallmembers>
      <member prot="public" refid="structt_d_r_b_1a669fac4ab39139f0e03587357530dddc" virt="non-virtual"><scope>tDRB</scope><name>drb_data</name></member>
      <member prot="public" refid="structt_d_r_b_1a03b3684a053c6fec95b16c395b528214" virt="non-virtual"><scope>tDRB</scope><name>drb_data_len</name></member>
      <member prot="public" refid="structt_d_r_b_1aedefe32ab5c4e9cc53410180d276ab45" virt="non-virtual"><scope>tDRB</scope><name>drb_data_offset</name></member>
    </listofallmembers>
  </compounddef>
</doxygen>